
get_filename_component(_qt5_install_prefix "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

set(Qt5Network_VERSION_MAJOR 5)
set(Qt5Network_VERSION_MINOR 0)
set(Qt5Network_VERSION_PATCH 0)

set(Qt5Network_LIBRARIES Qt5::Network)

set(Qt5Network_INCLUDE_DIRS "${_qt5_install_prefix}/include/" "${_qt5_install_prefix}/include/QtNetwork")

string(TOUPPER Network _CMAKE_MODULE_NAME_UPPER)
set(Qt5Network_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)
set(Qt5Network_COMPILE_DEFINITIONS QT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "")

foreach(_module_dep ${_Qt5_MODULE_DEPENDENCIES})
    if (NOT Qt5${_module_dep}_FOUND)
        find_package(Qt5${_module_dep} REQUIRED)
    endif()
    list(APPEND Qt5Network_INCLUDE_DIRS ${Qt5${_module_dep}_INCLUDE_DIRS})
    list(APPEND Qt5Network_DEFINITIONS ${Qt5${_module_dep}_DEFINITIONS})
    list(APPEND Qt5Network_COMPILE_DEFINITIONS ${Qt5${_module_dep}_COMPILE_DEFINITIONS})
    list(APPEND Qt5Network_EXECUTABLE_COMPILE_FLAGS ${Qt5${_module_dep}_EXECUTABLE_COMPILE_FLAGS})
endforeach()
list(REMOVE_DUPLICATES Qt5Network_INCLUDE_DIRS)
list(REMOVE_DUPLICATES Qt5Network_DEFINITIONS)
list(REMOVE_DUPLICATES Qt5Network_COMPILE_DEFINITIONS)
if (Qt5Network_EXECUTABLE_COMPILE_FLAGS)
  list(REMOVE_DUPLICATES Qt5Network_EXECUTABLE_COMPILE_FLAGS)
endif()


list(APPEND Qt5Network_LIB_DEPENDENCIES )

if (NOT _Qt5Network_target)
    set(_Qt5Network_target 1)
    add_library(Qt5::Network SHARED IMPORTED)
endif()


set_property(TARGET Qt5::Network APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(Qt5::Network PROPERTIES
    IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "${Qt5Network_LIB_DEPENDENCIES}"
    IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib64/libQtNetwork.so.5.0.0"
)


